set CA_DIR=%~dp0..\
set CA_COM="BKTurbo8.exe"
set CA_B2O="BKbin2obj.exe"

set ASSEMBLER=%CA_DIR%%CA_COM%
set BIN2OBJ=%CA_DIR%%CA_B2O%

%BIN2OBJ% -sbin -lFONT TET.FNT tetfnt
%BIN2OBJ% -sbin -lSPRITE TET.SPR tetspr
%BIN2OBJ% -sbin -lWINNME WIN1.SPR
%BIN2OBJ% -sbin -lWINSL WIN2.SPR
%BIN2OBJ% -sbin -lWINEX WIN3.SPR
%BIN2OBJ% -sbin -lPANEL TET.PAN tetpan

%ASSEMBLER% -ltet.lst -otet.obj cl TETRIS.ASM

%ASSEMBLER% -l li TETRIS tet.obj tetfnt.obj tetspr.obj WIN1.obj WIN2.obj WIN3.obj tetpan.obj

md out
copy *.bin out\*
copy *.lst out\*

del *.bin
del *.obj
del *.lst
